Revoke Service Account
curl --request DELETE \
--url https://api.example.com/service-accounts/{service_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/service-accounts/{service_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/service-accounts/{service_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Insufficient permissions"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}{
"detail": "Feature not supported by the configured service"
}Service Accounts
Revoke Service Account
Revoke an existing service account.
Takes effect immediately on this worker (the local verification cache entry is evicted) and within the cache TTL on other workers.
DELETE
/
service-accounts
/
{service_account_id}
Revoke Service Account
Was this page helpful?
⌘I